Kerbal Space Program - Bug #4903

Heat shield does not explode when it runs out of ablator.
05/03/2015 12:08 AM - SoulWager

Status: Closed Start date: 05/03/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

version is 1.0.2, but that isn't in the list yet.

Apparently it needs to overheat as well, but that should be happening at this speed and altitude: https://youtu.be/reNelOD60pI?t=120

History

#1 - 05/04/2015 07:26 PM - DJK
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Can confirm this. Apart from not exploding, the heat shield does not conduct heat towards the parts attached to it, making everything occluded by it,
pretty much 100% heat resistant.

Proof: https://www.youtube.com/watch?v=x5WQkqgpILH8
Note: convectionVelocityExponent set to 3.35 for increased heat (to ablate all the ablator resource). Clean install with mods used: Visual, KER,
HyperEdit

#2 - 05/10/2015 07:05 PM - Starwaster

The shield's max temp is 3400. Your part temperature won't exceed your velocity once you run out of ablator. (not taking into account certain physics
settings like the velocity exponent)

Assuming stock settings, there's no way the shield will explode at that speed and altitude. That said, a part maxTemp of 3400 is a little excessive. |
don't think even Apollo's shield got quite that hot (5000F = 3033K) and that was 5x faster than what you're doing there.

It might make sense for both shield maxTemp and conductivity to be lowered and raised respectively after the ablator runs out, though in DJK's video,
by the time he's run out of ablator, he's pretty much decelerated to where it's survivable.

#3 - 11/17/2015 02:11 PM - sal_vager
- Status changed from Confirmed to Closed

- % Done changed from 10 to 100

Sorry, this is correct behavior for the heat shield.
